#include "FontWindow.h"
//function implementation of FontWindow()
FontWindow :: FontWindow(BRect r)
	: BWindow(r, "FontPreviewer", B_TITLED_WINDOW, 0)
{
	r = Bounds();
	r.right -= B_V_SCROLL_BAR_WIDTH;//we'd like to actually see the scrollbar!
	bv = new FontView(r);
	BScrollView* scroller = new BScrollView("scroller",bv,B_FOLLOW_LEFT | B_FOLLOW_TOP,B_WILL_DRAW|B_FRAME_EVENTS,false,true);
	
	AddChild(scroller);
}
// Called when the user clicks on the window's close box
bool FontWindow :: QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);// tell the application to quit too
	return true; // and indicate that it's okay for us to close
}
void FontWindow::MessageReceived(BMessage* msg)
{
	//msg->PrintToStream();
	switch(msg->what)
	{	
		case 'DATA':	//we want a drop baby!
		{
			entry_ref ref;
			status_t err;
			int32 ref_num;
			ref_num = 0;
			//This is quickly done,could add option to pause between fonts,
			//and to check if the drop isn't a font! :P
			while((err = msg->FindRef("refs", ref_num, &ref)) == B_OK)
			{
				BPath path(&ref);
				if(path.InitCheck() == B_OK)
				{
					//if(no_items >= 1)
					//	snooze(1000000);
					
					bv->SetFontPath(path.Path());
					
					//	no_items++;
				}
				ref_num++;
				
			}
		}break;
		default:
			BWindow::MessageReceived(msg);
		break;
	}
}